vgp.discrete.conformal

## Class PjConformal_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.project.PjProject_IP
          - - vgp.discrete.conformal.PjConformal_IP

- All Implemented Interfaces:
    java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PjConformal_IP
      extends PjProject_IP
      implements java.awt.event.ItemListener

  Control panel of project on computing discrete conformal maps using harmonic maps.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    23.10.16, 1.10 revised (kp) Doc and notice added.
    22.08.99, 1.00 created (kp).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjConformal_IP()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNotice()` Informational text on the usage of this project and its panel.
    `void` | `init()` Provides layout and adds internal components.
    `void` | `itemStateChanged(java.awt.event.ItemEvent event)` Handle item state events invoked from choices, checkboxes, list items.
    `void` | `setParent(PsUpdateIf parent)` Set parent of panel which supplies the data inspected by the panel.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.project.PjProject_IP

      `addNotice, getPreferredSize, removeNotice, removeNoticeLine, setNotice`

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PjConformal_IP

          public PjConformal_IP()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Provides layout and adds internal components.
      Overrides:
        `init` in class `PjProject_IP`

    - #### getNotice

          public java.lang.String getNotice()

      Informational text on the usage of this project and its panel. This notice will be displayed if this info panel of the project is shown. The text is split at line breaks into individual lines on the dialog.
      Overrides:
        `getNotice` in class `PjProject_IP`
      Returns:
        string with textual information about usage of project.
      Since:
        JavaView 4.70.008
      Version:
        22.10.16, 1.00 created (kp)

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Set parent of panel which supplies the data inspected by the panel.
      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PjProject_IP`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PjProject_IP`
      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PjProject_IP`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent event)

      Handle item state events invoked from choices, checkboxes, list items.
      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

"

The software JavaView? is copyright protected. All Rights Reserved.
"